#ifndef INCLUDED_CURVE_EVALUATOR_H
#define INCLUDED_CURVE_EVALUATOR_H

#pragma warning(disable : 4786)

#include "Curve.h"

using namespace std;

class CurveEvaluator
{
	public:

		virtual ~CurveEvaluator(void);

		virtual void evaluateCurve(const vector<Point> & control_points, vector<Point> & evaluated_curve_points, const double & animation_time, const bool & wrap_control_points) const = 0;

	private:


};


#endif